Vulnerability CVE-2020-9483


Published: 2020-06-30

Description:
**Resolved** When use H2/MySQL/TiDB as Apache SkyWalking storage, the metadata query through GraphQL protocol, there is a SQL injection vulnerability, which allows to access unpexcted data. Apache SkyWalking 6.0.0 to 6.6.0, 7.0.0 H2/MySQL/TiDB storage implementations don't use the appropriate way to set SQL parameters.

 References:
https://github.com/apache/skywalking/pull/4639

Copyright 2020, cxsecurity.com

 

Back to Top